Summary: The GNU Image Manipulation Program
Name: gimp
Version: 1.1.5
Release: 1
Group: X11/Applications/Graphics
Copyright: GPL, LGPL
Url: http://www.gimp.org/
Packager: Hao Li <hli@wag.caltech.edu>
Source: ftp://ftp.gimp.org/pub/gimp/unstable/v%{version}/gimp-%{version}.tar.bz2
Requires: gtk+ >= 1.2.0
Buildroot: /var/tmp/%{name}-root

%description
The GIMP is an image manipulation program suitable for photo retouching,
image composition and image authoring.  Many people find it extremely useful
in creating logos and other graphics for web pages.  The GIMP has many of the
tools and filters you would expect to find in similar commercial offerings,
and some interesting extras as well.

The GIMP provides a large image manipulation toolbox, including channel
operations and layers, effects, sub-pixel imaging and anti-aliasing,
and conversions, all with multi-level undo.

This version of The GIMP includes a scripting facility, but many of the
included scripts rely on fonts that we cannot distribute.  The GIMP ftp
site has a package of fonts that you can install by yourself, which
includes all the fonts needed to run the included scripts.  Some of the
fonts have unusual licensing requirements; all the licenses are documented
in the package.  Get ftp://ftp.gimp.org/pub/gimp/fonts/freefonts-0.10.tar.gz
and ftp://ftp.gimp.org/pub/gimp/fonts/sharefonts-0.10.tar.gz if you are so
inclined.  Alternatively, choose fonts which exist on your system before
running the scripts.


%prep
%setup -q


%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr --disable-nls --disable-perl
make


%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr install-strip
gzip -9f docs/quick_reference.ps


%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING ChangeLog* INSTALL MAINTAINERS NEWS README* TODO
%doc docs/quick_reference.ps.gz docs/*.txt
/usr/bin/*
/usr/include/*
/usr/lib/*
/usr/man/man*/*
/usr/share/aclocal/*
/usr/share/gimp


%clean
rm -rf $RPM_BUILD_ROOT
